QuickFIX: FIX::DOMNode Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::DOMNode Class Reference

Interface that represents node from underlying XML parser. More...

`#include <DOMDocument.h>`

Inheritance diagram for FIX::DOMNode:
[legend]

List of all members.

## Public Member Functions
virtual | ~DOMNode ()
virtual std::auto_ptr< DOMNode > | getFirstChildNode ()=0
virtual std::auto_ptr< DOMNode > | getNextSiblingNode ()=0
virtual std::auto_ptr < DOMAttributes > | getAttributes ()=0
virtual std::string | getName ()=0
virtual std::string | getText ()=0

## Detailed Description

Interface that represents node from underlying XML parser.

Definition at line 46 of file DOMDocument.h.

## Constructor & Destructor Documentation

virtual FIX::DOMNode::~DOMNode | ( |  | ) | `[inline, virtual]`

Definition at line 49 of file DOMDocument.h.

    00049 {}

## Member Function Documentation

virtual std::auto_ptr<DOMAttributes> FIX::DOMNode::getAttributes | ( |  | ) | `[pure virtual]`

Implemented in FIX::LIBXML_DOMNode, and FIX::MSXML_DOMNode.

Referenced by FIX::DataDictionary::addXMLComponentFields(), FIX::DataDictionary::addXMLGroup(), and FIX::DataDictionary::lookupXMLFieldNumber().

virtual std::auto_ptr<DOMNode> FIX::DOMNode::getFirstChildNode | ( |  | ) | `[pure virtual]`

Implemented in FIX::LIBXML_DOMNode, and FIX::MSXML_DOMNode.

Referenced by FIX::DataDictionary::addXMLGroup().

virtual std::string FIX::DOMNode::getName | ( |  | ) | `[pure virtual]`

Implemented in FIX::LIBXML_DOMNode, and FIX::MSXML_DOMNode.

virtual std::auto_ptr<DOMNode> FIX::DOMNode::getNextSiblingNode | ( |  | ) | `[pure virtual]`

Implemented in FIX::LIBXML_DOMNode, and FIX::MSXML_DOMNode.

virtual std::string FIX::DOMNode::getText | ( |  | ) | `[pure virtual]`

Implemented in FIX::LIBXML_DOMNode, and FIX::MSXML_DOMNode.

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/DOMDocument.h